HelloWorld系列教材 (八)- 各种软件、工具版本兼容说明
步骤1:兼容说明
步骤2:JDK
步骤3:Eclipse
步骤4:IDEA
步骤5:Tomcat-Eclipse
步骤6:Tomcat-IDEA
步骤7:MySQL
步骤8:MyEclipse
步骤9:其他
步骤 1 : 兼容说明
HOW2J 上的课程比较有系统,几乎大部分 JAVA 会用到的都会涵盖,同时也就会用到大量的软件、工具等等。 而不同的工具和软件的版本都是有很多的,比如JDK 就有很多版本。 而不同工具的不同版本之间也存在兼容性问题,这样就有潜在的学习麻烦。

如果how2j上的教程用到了如下工具,请使用how2j提供的版本,规避版本兼容性问题,以下版本都是经过站长和大量学员使用证实没有兼容性问题的版本,并提供在线下载解压即用的。 如果执意使用其他版本,将有版本冲突导致学习不顺畅的风险。

总共涉及到下面7,8种工具和软件,全部都打包在一起,放在下载区(点击进入)了,方便大家一次性下载
步骤 2 : JDK
how2j 的教程都是使用的 JDK8。 下载点击进入: 下载 JDK

所有教程的下载位置都在进入页面之后的右上角

已经有同学反应 JDK9,JDK10 出现兼容性问题了, 运行本站代码请切换到本站提供的JDK8, 避免因为兼容性问题而带来的不必要的学习障碍

JDK

步骤 3 : Eclipse

how2j 的教程都是使用的是 Eclipse Mars.1 Release (4.5.1) ,下载点击进入: 下载 Eclipse

所有教程的下载位置都在进入页面之后的右上角
步骤 4 : IDEA
how2j 的教程都是使用的是 2017.2 ,下载点击进入: 下载 IDEA

所有教程的下载位置都在进入页面之后的右上角

注: IDEA 必须使用 IDEA 2017, 2018版本有BUG,无法部署很多教程
如果一定要用idea 2018, 需要做如下修改:
File->Settings->Build,Execution,Deployment->Build Tools->Maven->Importing 取消 “Store generated project files externally”
这样才能用
步骤 5 : Tomcat-Eclipse
对于 Eclipse 使用的是专门调整过的 Tomcat7 ,下载点击进入: 下载Eclipse专用Tocmat

所有教程的下载位置都在进入页面之后的右上角

Tomcat-Eclipse

步骤 6 : Tomcat-IDEA

对于 IDEA 使用的是专门调整过的 Tomcat7 ,下载点击进入: 下载IDEA专用Tocmat

所有教程的下载位置都在进入页面之后的右上角
步骤 7 : MySQL
使用的 how2j 的教程都是使用的 MySQL5.5 。 下载点击进入: 下载 MYSQL

所有教程的下载位置都在进入页面之后的右上角
步骤 8 : MyEclipse
不推荐使用MyEclipse,请使用Eclipse EE版本: 下载 Eclipse
步骤 9 : 其他
如果还有什么版本比较敏感的工具站长没有列出来,请在下方提问留言,站长追加进来,谢谢